Phone gap

If you think that something doesn't work in Aware IM post your message here
Post Reply
tata
Posts: 6
Joined: Mon Apr 17, 2017 10:20 pm

Phone gap

Post by tata »

I install aware im v 8 . and want to build a native app . but when i upload my project to phonegap there is a build error . even i try the sample CRM project the error is the same
Error - Plugin error (you probably need to remove plugin files from your app): Fetching plugin "[email protected]" via npm Installing "cordova-plugin-whitelist" at "1.3.2" for android Failed to install 'cordova-plugin-whitelist': Error: Your android platform does not have Api.js at Object.getPlatformApiFunction (/home/ec2-user/.npm/lib/node_modules/pgb-plugman/node_modules/pgb-cordova-lib/src/cordova/util.js:489:19) at Object.getPlatformApi (/home/ec2-user/.npm/lib/node_modules/pgb-plugman/node_modules/pgb-cordova-lib/src/platforms/platforms.js:56:25) at handleInstall (/home/ec2-user/.npm/lib/node_modules/pgb-plugman/node_modules/pgb-cordova-lib/src/plugman/install.js:618:29) at /home/ec2-user/.npm/lib/node_modules/pgb-plugman/node_modules/pgb-cordova-lib/src/plugman/install.js:386:24 at _fulfilled (/home/ec2-user/.npm/lib/node_modules/pgb-plugman/node_modules/q/q.js:787:54) at self.promiseDispatch.done (/home/ec2-user/.npm/lib/node_modules/pgb-plugman/node_modules/q/q.js:816:30) at Promise.promise.promiseDispatch (/home/ec2-user/.npm/lib/node_modules/pgb-plugman/node_modules/q/q.js:749:13) at /home/ec2-user/.npm/lib/node_modules/pgb-plugman/node_modules/q/q.js:557:44 at flush (/home/ec2-user/.npm/lib/node_modules/pgb-plugman/node_modules/q/q.js:108:17) at _combinedTickCallback (internal/process/next_tick.js:67:7) Your android platform does not have Api.
weblike
Posts: 1160
Joined: Sun Dec 02, 2012 12:00 pm
Location: Europe

Re: Phone gap

Post by weblike »

uuuu.....Just wanted to start my first phone app...
Thx,
George
________________________________
Developer Edition
AwareIM: v8.5, build 2824
OS: Windows Server 2012
DB: MySql 5.6.42
aware_support
Posts: 7179
Joined: Sun Apr 24, 2005 12:36 am
Contact:

Re: Phone gap

Post by aware_support »

This should be fixed in build 2346
Aware IM Support Team
RJ_Rojith
Posts: 2
Joined: Tue Aug 27, 2019 11:59 pm

Re: Phone gap

Post by RJ_Rojith »

Hello everyone,

I am getting an error now when I am trying to use phonegap to develop native ios app.
I am on build 2617.

appIdentifierName: AwareIM iOS Auditor App, applicationIdentifierPrefixes: (
M7LGZGNDM9
), dateCreated: 2019-08-29 01:22:03 +0000, dateExpired: 2020-08-28 01:22:03 +0000, certificateKind: (null), certificateSHA1Hashes: {(
F034134ACA97A8E884B6EFB73BBF1A377FD60169
)}, supportedUDIDs: {(
7c37373a31d5567b0f0fa569dba3a7775552d9f5,
7360a547662c2ba3d3af5ea75c3d633f1db0125f,
94da0a875b03cb2aa228e448ebb7f12077ee29ea
)}, isUniversal: 0, isXcodeManaged: 0, platforms: {(
<DVTPlatform:0x7feb944d7520:'com.apple.platform.watchos':<DVTFilePath:0x7feb944d74a0:'/Applications/Xcode101.app/Contents/Developer/Platforms/WatchOS.platform'>>,
<DVTPlatform:0x7feb944d3750:'com.apple.platform.iphoneos':<DVTFilePath:0x7feb944d36d0:'/Applications/Xcode101.app/Contents/Developer/Platforms/iPhoneOS.platform'>>
)}, filePath: <DVTFilePath:0x7feb969d4320:'/Library/MobileDevice/Provisioning Profiles/production-ios-1567042948--94325.mobileprovision'>>, NSLocalizedDescription=Provisioning profile "Auditor App Profile.01" doesn't include the com.apple.developer.icloud-container-environment entitlement., IDEProfileQualificationErrorMissingEntitlements=(
"com.apple.developer.icloud-container-environment"
)}

** EXPORT FAILED **

Error code 70 for command: xcodebuild with args: -exportArchive,-archivePath,CRM.xcarchive,-exportOptionsPlist,/private/project/exportOptions.plist,-exportPath,/private/project/build/device
RJ_Rojith
Posts: 2
Joined: Tue Aug 27, 2019 11:59 pm

Re: Phone gap

Post by RJ_Rojith »

I tried the above with the CRM sample application, but I still get the same error.
aware_support
Posts: 7179
Joined: Sun Apr 24, 2005 12:36 am
Contact:

Re: Phone gap

Post by aware_support »

You need to ask PhoneGap what it is. Building for iOS requires that you sign your application first - maybe it has something to do with this
Aware IM Support Team
idpSteve
Posts: 188
Joined: Thu Jul 27, 2017 6:13 am
Location: Johannesburg, South Africa
Contact:

Re: Phone gap

Post by idpSteve »

If this is just failing for iOS then the issue is probably certificate related. Make sure you used the same bundle identifier when generating your certificates as you did when building your phonegap.zip in Aware, also make sure you uploaded key file etc to phonegap, and are using the right key file when building, and that you unlocked your key in phonegap before building too.
Post Reply